Package org.apache.commons.compress.harmony.unpack200

# Class NewAttributeBands.Callable

java.lang.Object
org.apache.commons.compress.harmony.unpack200.NewAttributeBands.Callable

Enclosing class:
  `NewAttributeBands`

public static class NewAttributeBands.Callable extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Callable(List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement> body)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCount(int count)`
  Adds the count of a call to this callable (ie the number of calls)
  `void`
  `addNextToAttribute(NewAttribute attribute)`
  Used by calls when adding band contents to attributes, so they don't have to keep track of the internal index of the callable.
  `void`
  `addToAttribute(int n, NewAttribute attribute)`
  `List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement>`
  `getBody()`
  `boolean`
  `isBackwardsCallable()`
  `void`
  `readBands(InputStream in, int count)`
  `void`
  `setBackwardsCallable()`
  Tells this Callable that it is a backwards callable
  `void`
  `setFirstCallable(boolean isFirstCallable)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Callable

    public Callable(List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement> body)

- ## Method Details

  - ### addCount

    public void addCount(int count)
    Adds the count of a call to this callable (ie the number of calls)
    Parameters:
      `count` - TODO

  - ### addNextToAttribute

    public void addNextToAttribute(NewAttribute attribute)
    Used by calls when adding band contents to attributes, so they don't have to keep track of the internal index of the callable.
    Parameters:
      `attribute` - TODO

  - ### addToAttribute

    public void addToAttribute(int n, NewAttribute attribute)

  - ### getBody

    public List<org.apache.commons.compress.harmony.unpack200.NewAttributeBands.LayoutElement> getBody()

  - ### isBackwardsCallable

    public boolean isBackwardsCallable()

  - ### readBands

    public void readBands(InputStream in, int count) throws IOException, Pack200Exception
    Throws:
      `IOException`
      `Pack200Exception`

  - ### setBackwardsCallable

    public void setBackwardsCallable()
    Tells this Callable that it is a backwards callable

  - ### setFirstCallable

    public void setFirstCallable(boolean isFirstCallable)